Bug 151504 - rgmanager "resourcegroup" -> "service" rename
rgmanager "resourcegroup" -> "service" rename
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: rgmanager (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lon Hohberger
Cluster QE
Depends On:
  Show dependency treegraph
Reported: 2005-03-18 13:59 EST by Lon Hohberger
Modified: 2009-04-16 16:17 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-05-06 16:36:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Lon Hohberger 2005-03-18 13:59:57 EST
Description of problem:

Various people have complained that from a usability (versus engineering)
standpoint, "resourcegroup" is inappropriate to describe what in fact rgmanager
handles.  Thus, "resourcegroup" needs to be renamed back to the traditional
"service" nomenclature to reflect what existing users of clumanager have come to

The unit of failover is the service - which is the same thing as a resource group.

system-config-cluster already reflects this change.

This underlines a small problem in rgmanager: rgmanager should use the "root"
special attribute tag to find root resources, not assume a static string as it
has been.  This is a small change.
Comment 1 Lon Hohberger 2005-05-06 16:36:32 EDT
fixed in beta

Note You need to log in before you can comment on or make changes to this bug.